Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 433)
+++ src/mlx/gui/common.py	(revision 438)
@@ -89,4 +89,7 @@
 
     TREE_VIEW_COLUMN_FIXED = gtk.TREE_VIEW_COLUMN_FIXED
+
+    FILL = gtk.FILL
+    EXPAND = gtk.EXPAND
 
     pixbuf_new_from_file = gdk.pixbuf_new_from_file
@@ -158,4 +161,7 @@
 
     TREE_VIEW_COLUMN_FIXED = gtk.TreeViewColumnSizing.FIXED
+
+    FILL = gtk.AttachOptions.FILL
+    EXPAND = gtk.AttachOptions.EXPAND
 
     pixbuf_new_from_file = gdkPixbuf.Pixbuf.new_from_file
Index: src/mlx/gui/delaycodes.py
===================================================================
--- src/mlx/gui/delaycodes.py	(revision 437)
+++ src/mlx/gui/delaycodes.py	(revision 438)
@@ -202,5 +202,5 @@
            ["Num", "Code", "Title", "Description"],
            [ (CAPTION, "Others"),
-             (DELAYCODE, ("      6", "OA  ", "NO GATES/STAND AVAILABLE",
+             (DELAYCODE, ("        6", "OA     ", "NO GATES/STAND AVAILABLE",
                           "Due to own airline activity")),
              (DELAYCODE, ("9", "SG", "SCHEDULED GROUND TIME",
@@ -217,11 +217,11 @@
            ["MA", "IATA", "Description"],
            [ (CAPTION, "Passenger and baggage"),
-             (DELAYCODE, ("    012", "01   ",
+             (DELAYCODE, (" 012", "01   ",
                           "Late shipping of parts and/or materials")),
-             (DELAYCODE, ("    111", "11",
+             (DELAYCODE, (" 111", "11",
                           "Check-in reopened for late passengers")),
-             (DELAYCODE, ("    121", "12",
+             (DELAYCODE, (" 121", "12",
                           "Check-in not completed by flight closure time")),
-             (DELAYCODE, ("    132", "13",
+             (DELAYCODE, (" 132", "13",
                           "Error with passenger or baggage details"))
             ])
@@ -237,6 +237,4 @@
         self._delayCodeData = None
 
-        self._treeView = None
-
         self._treeView = gtk.TreeView(gtk.ListStore(str, str))
         self._treeView.set_rules_hint(True)
@@ -277,7 +275,9 @@
             self._previousWidth = allocation.width
             index = 0
+            lastIndex = len(self._alignments) - 1
             for alignment in self._alignments:
                 column = self._treeView.get_column(index)
-                width = alignment.allocatedWidth + (8 if index==0 else 16)
+                width = alignment.allocatedWidth
+                width += 8 if (index==0 or index==lastIndex) else 16
                 column.set_fixed_width(width)
                 index += 1
@@ -328,5 +328,6 @@
                 label.set_alignment(0.0, 0.5)
                 alignment.add(label)
-                self._table.attach(alignment, 1, numColumns, i, i+1)
+                self._table.attach(alignment, 1, numColumns, i, i+1,
+                                   yoptions = FILL)
                 self._table.set_row_spacing(i, 8)
             elif type==DELAYCODE:
@@ -335,9 +336,10 @@
                 alignment = Alignment(xalign = 0.5, yalign = 0.5, xscale = 1.0)
                 alignment.add(checkButton)
-                self._table.attach(alignment, 0, 1, i, i+1)
+                self._table.attach(alignment, 0, 1, i, i+1,
+                                   xoptions = FILL, yoptions = FILL)
                 if firstDelayCodeRow:
                     self._alignments.append(alignment)
 
-                for j in range(0, len(elements)):
+                for j in range(0, numColumns-1):
                     label = gtk.Label(elements[j])
                     label.set_alignment(1.0 if j==0 else 0.0, 0.5)
@@ -345,5 +347,8 @@
                                           xscale = 1.0)
                     alignment.add(label)
-                    self._table.attach(alignment, j+1, j+2, i, i+1)
+                    xoptions = FILL
+                    if j==(numColumns-2): xoptions |= EXPAND
+                    self._table.attach(alignment, j+1, j+2, i, i+1,
+                                       xoptions = xoptions, yoptions = FILL)
                     if firstDelayCodeRow:
                         self._alignments.append(alignment)
Index: src/mlx/gui/info.py
===================================================================
--- src/mlx/gui/info.py	(revision 437)
+++ src/mlx/gui/info.py	(revision 438)
@@ -85,5 +85,5 @@
         self._delayWindow = scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.add(table)
-        scrolledWindow.set_size_request(400, 150)
+        scrolledWindow.set_size_request(600, 175)
         scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
         scrolledWindow.set_shadow_type(SHADOW_IN)