Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 418)
+++ MLXMANIFEST	(revision 455)
@@ -7,11 +7,11 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	6233f4030116a4767b50edc0fdb67866
+library/gtk/_gtk.pyc	549	d5f334467c1075eaecead402553f49f3
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
-library/mlx/pirep.pyc	5235	fc4a7861ab475fe7e629ada4f84de089
+library/mlx/pirep.pyc	4623	f9f03fd2fb97c4db4dc14cceec339037
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
-library/mlx/gui/gui.pyc	48512	c75d1f34de964078769de9b4ee5a0c3e
+library/mlx/gui/gui.pyc	48520	d8692b4158dd6c9313f79c823e5e556e
 library/encodings/cp737.pyc	8102	40e61988748e4ca1742a2bad43949f4e
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
@@ -22,5 +22,5 @@
 library/encodings/cp932.pyc	1638	e060301989634a7fb30ded375011cb09
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	17a945fa9ae6b80db017ec58ebf10947
+library/gobject/_gobject.pyc	573	a66f9ea054c32c2c925dc04df85d10b1
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 doc/manual/hu/pirepViewer.png	25089	47fd4cbd140cedcd5f972b16ef484ba0
@@ -40,5 +40,5 @@
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
 doc/manual/en/fuel.png	23882	896aa65c7a8d4fcd7710b386b96bb97c
-library/mlx/gui/info.pyc	6082	fa61b9e5bd1dec5998a46ce9a07076e6
+library/mlx/gui/info.pyc	4951	3ef369d148f1cf9aaf3f9bbe71fbe708
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
 doc/manual/hu/fuel.png	27014	6a7764815c991f99961b39080bf9af03
@@ -60,5 +60,5 @@
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-locale/hu/LC_MESSAGES/mlx.mo	44774	b7f65dc824054b25c08aa100b02d599c
+locale/hu/LC_MESSAGES/mlx.mo	64529	cc181a87f3328bf8a736ef008a341972
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/copy_reg.pyc	4893	7a58bc441232056d1c123cd3375b3774
@@ -73,9 +73,9 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	16582	e07cbd4f5b360e1e8e80bc8409ad242b
-library/_hashlib.pyc	549	ed1f009b3ccd9a93d8fa4258f9373796
+library/_hashlib.pyc	549	204bc78aac128e4a95f4a74a82cb0920
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 library/share/locale/hu/LC_MESSAGES/gdk-pixbuf.mo	21895	a932ead453f04de30e348c1689a4d896
-library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
+library/mlx/gui/dcdata.pyc	16051	8cc025e3deca6c6cd713da796f0555e4
 library/mlx/gui/__init__.pyc	107	3494fc6a671a7b8a9dc72ea93948ae52
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
@@ -84,8 +84,8 @@
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
 library/base64.pyc	10528	39abec9c60dc011d3c763f443f9b1a11
-locale/en/LC_MESSAGES/mlx.mo	41375	3145880f78f59668a68f46eee10b6bc1
+locale/en/LC_MESSAGES/mlx.mo	60039	ba50bf8059d1a393961d122430b40e76
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
 library/_weakrefset.pyc	9290	a56e87c491c0511cd329a3c8c4cd9563
-library/mlx/flight.pyc	17303	30d491cdcb9acb318d4c952ca777808a
+library/mlx/flight.pyc	17303	ace721d19562b6eff07c71afde6bf180
 library/urllib2.pyc	43566	7eb57ea0dcd1086d1d9073a5cefb0903
 doc/manual/en/flightSelection.png	25456	84e5574bc58ff156da71470550d540d8
@@ -114,5 +114,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/encodings/utf_16_be.pyc	1854	84a1d1465453727af051eaeeb853782f
-library/mlx/fsuipc.pyc	70737	8d01b21710cf9438bbb0b20839dfc945
+library/mlx/fsuipc.pyc	71818	c92b37914f5017f2c51d6553a43f2e57
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	24272	01e31d899c4ede823423f705c6886f30
@@ -126,5 +126,5 @@
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
-library/mlx/gui/common.pyc	9996	53858ed2537f28fd26c1d95fa3ada991
+library/mlx/gui/common.pyc	10275	ffd71db66573fa0713911bd184cabf48
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	47588	fd83bee17f50bf3fd488d86f65563f7d
@@ -132,6 +132,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	13720	d43a6df9991d331ce8fdc9fedae514c3
-library/cairo/_cairo.pyc	561	2d69c9c670ed352716d4fb97180ab533
-library/win32file.pyc	552	02091144183ac705afe0a744872dcf7c
+library/cairo/_cairo.pyc	561	efa24da1b4c5c8343c3dcc8f546c2c37
+library/win32file.pyc	552	07285ad5ebb30539657a025a9e8a3e95
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -142,5 +142,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	6fc99d980120fd663ffb0818a34828b1
+library/bz2.pyc	534	df5b4a9a8b2098db2c48d0d70cf9e4a9
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -158,6 +158,6 @@
 library/mlx/gui/statusbar.pyc	4812	49946660d92b7b634740537450b63723
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	c887d69e3c2741503e23e244f0a689c4
-library/mlx/const.pyc	6956	f4684465c27724b62f5a67c14fec672f
+mlxupdate.exe	19456	12b499d587ca9ff83b8a59ac322d2c41
+library/mlx/const.pyc	6702	742767084652c68b4488d1eabd08cc59
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -172,5 +172,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	e26888c5773f237986294f0be8c60a62
+library/_ssl.pyc	537	796dc21241d70fe3534cd64b2efaedb4
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -192,5 +192,5 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	6297d24ae9647ab3fcdf09ca61b75c3c
+library/unicodedata.pyc	558	fccdc05b437ec7a966473f3789e088f2
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -223,5 +223,5 @@
 doc/manual/hu/flightInfoTab.png	22378	5f3e77393d8693fec723590daeedb50a
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	3b0030fc6f2497e51ca60c00750d8684
+library/pangocairo.pyc	555	605ae609fa7b5f97421bcde6114e14fa
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -230,5 +230,5 @@
 doc/manual/hu/connect.png	27238	50477d157c924984c224806455e8f87d
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	28982	9db31983a125d6fbb9cccd699f450889
+library/mlx/web.pyc	29032	f3af3846dd183d9a436b25f3d6872546
 library/mlx/gui/gates.pyc	5384	e85898dc153d9e624ff663afc0575e7d
 library/email/feedparser.pyc	10682	4de6a63da8dc270c9881edb9c2f28508
@@ -236,5 +236,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	17740e034cdc12d87175e6f44f8d8c0c
+library/pyuipc.pyc	543	37875b7b35939e820a085f742b93f872
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -260,10 +260,10 @@
 doc/manual/hu/flightSelection.png	27734	560275c030f373691ca59e99c4ba686e
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	eb124a4ee4010ec897a5d2ea2e19072d
+library/win32pipe.pyc	552	65b8d96a84efff391b369845d449fef9
 doc/manual/hu/logTab.png	29189	d3cbae223d547919d9954fc535856298
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	d8c0a9982b63b46d494318127fb020dd
+library/win32event.pyc	555	605b6abc483c77b37693cfc43b9d0861
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	9e7f2b095af02def0c64e781aac9ebc6
+library/gio/_gio.pyc	549	84bad14fdbf9181bb2174c32bc3a9712
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	25326	f83cf32e49d6de786df20885232aa1ee
@@ -285,7 +285,7 @@
 library/email/message.pyc	27764	493826f529d17f5a21080a4c98b49369
 library/encodings/mac_romanian.pyc	2756	a3b2a0892236bc80c8efe8940e33339e
-library/mlx/gui/pirep.pyc	16780	06c8ceef8809771f5b870ca161d2a0e1
+library/mlx/gui/pirep.pyc	16749	059ca39967e6144bffa9bf1588782de7
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	3537b8548171d9214a47aae373358d13
+library/_ctypes.pyc	546	ff50b6be0e893e8d70fec2337ca0034e
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -305,5 +305,5 @@
 library/repr.pyc	5045	82f0d89c685c3dacd941e01e4b2f31ef
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
-library/mlx/gui/monitor.pyc	12015	d770e12a62ca8d880144b8b45c3a2576
+library/mlx/gui/monitor.pyc	12015	9622165d861a5bfeb5a12390e9e99d4c
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
 library/mlx/update.pyc	16952	8fa20ca0ddd4ce5f06f70fba9bea6e83
@@ -314,8 +314,8 @@
 doc/manual/en/gatesTab.png	25611	6de724fef235fcdb11a5c960f9f40502
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	111758	d700fbd8afa04e59546d7e9cd374b10e
+library/mlx/gui/flight.pyc	111770	aa03b575b3a4e8dcf93db21bcea3dca0
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	36286	14bca971b2e3aba95a2dcfca1e8317f7
+library/mlx/acft.pyc	37473	2e6c1fe241a9c37398e819e45c812f98
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
 doc/manual/hu/checklistEditor.png	27863	8c750892a52dc10ca654a9d0b2765358
@@ -330,5 +330,5 @@
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	ccf3d0df566cb35274165187cc26b2fe
+library/pyexpat.pyc	546	083c7af7660b017b0402b557876e9f2e
 doc/manual/hu/gateSelection.png	26472	aa5a7d5602ec8544d1aed25b731a2460
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -355,15 +355,15 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	0f631e04e95639805597d54f1753d7e0
+library/_socket.pyc	546	3da49d9eab9f76c5b063a7d0a2406314
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/checks.pyc	58147	34a5bf3f11b975072500165bb3599f8f
+library/mlx/checks.pyc	58218	93c36ddfb46bf7cc0c2f869552066b52
 doc/manual/en/statusIcon2.png	5875	71fc121823dee0a4c00715fac1b5665c
-library/mlx/sound.pyc	6326	be3f6aa26c6b3fa2e358ad6882010a4d
+library/mlx/sound.pyc	6326	af858a1336c56096e7562986043ec459
 doc/manual/en/pirepViewer.png	22216	326127e30fa405919b337cc9920698ed
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	50a45dfb7fc78fead808072687ba11d5
+library/glib/_glib.pyc	555	764ef87e990e6c7f316addf5642761b7
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	77d91a1efed3113697ab9b3dc3e12bea
+library/win32api.pyc	549	c1d37f21246aa9f072ffa7a1bb884d57
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -394,5 +394,5 @@
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
-library/mlx/pyuipc_sim.pyc	56186	bd00d6dfd1771a62579c8fb84bf5dcf0
+library/mlx/pyuipc_sim.pyc	56894	fe515ee49969c0ca706fe331e5da6a1b
 library/encodings/iso8859_9.pyc	2678	88880e046738ebd2012c8034416a9adf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
@@ -407,10 +407,10 @@
 library/email/iterators.pyc	2266	b8a0df35815bc00be1ed8ece42aac537
 library/encodings/hz.pyc	1614	876bb7c36683358c3e95005619b10541
-library/select.pyc	543	4cc793adb82a4e1505ad2ee3f43b02ec
+library/select.pyc	543	41817c682c7856d34af2894e225eb937
 library/encodings/iso2022_jp.pyc	1683	40c2b92127f99452f84b250c2b4b2cda
 library/libgthread-2.0-0.dll	44287	7ad6f303082b382bff7bafbab246c61f
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	29918	3b72b0439191e799656171cc7dd7c019
-library/atk.pyc	534	b03849f4a1eac3e542e97a385e0d1657
+library/atk.pyc	534	d38da3f35a9e2a49a1751ed4dd937872
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -422,7 +422,8 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	4ad32cb1aec39a193569f600adb7d977
+runmlx.exe	64000	fa3e2a7eeb46f232eae0a5ba524479c3
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
-library/mlx/fs.pyc	11756	c8b8a4a1d355432ff2aaa9ac8cd445d7
+library/mlx/fs.pyc	11756	d922075f799285f64abc7fc44ce10d1e
+library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
 library/inspect.pyc	38547	836f659fad54f5ee7e8f9d565003aacd
 library/pickle.pyc	36348	2b55640f6f4e2fd70d95482fd16bfb73
@@ -433,7 +434,8 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	a9ea88a574b996c739cce07e2b315b3e
+library/pango.pyc	540	58d482351b53b6356667752c78de8129
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab
+library/mlx/gui/delaycodes.pyc	12327	0e55510166acb290f28917f9684db8a7
 library/encodings/raw_unicode_escape.pyc	2048	8138045029da04bf45204ab756d1bcd4
 sounds/TOD.mp3	174707	92176d53d948fbfebd08c011b063179a