Index: doc/manual/en/index.html
===================================================================
--- doc/manual/en/index.html	(revision 285)
+++ doc/manual/en/index.html	(revision 460)
@@ -35,7 +35,7 @@
   <p>
   Besides the faults the program also monitors many other parameters,
-  which are recorded in a textual <a href="#logTab"><i>log</i></a>. 
+  which are recorded in a textual <a href="#logTab"><i>log</i></a>.
   This log is sent as a part of your PIREP
-  (<b>PI</b>lot's <b>REP</b>ort), and will be   analyzed, and possibly 
+  (<b>PI</b>lot's <b>REP</b>ort), and will be   analyzed, and possibly
   commented on by more experienced pilots of  Malév Virtual. This way
   you can perfect the way you execute your flights.
@@ -44,5 +44,5 @@
   <p><a name="flightStages"/>
   The application breaks up your flight into
-  several <i>stage</i>s. The advancement from one stage to another is 
+  several <i>stage</i>s. The advancement from one stage to another is
   detected automatically. These stages and the conditions under which
   they are entered are as follows:
@@ -53,7 +53,9 @@
     or your ground speed becomes 5 knots or greater during the
     boarding stage, your flight enters this stage.</li>
-    <li><b>takeoff</b>: If you turn on the landing and/or the strobe
-    lights or your ground speed exceeds 80 knots during taxi or after
-    a rejected takeoff (RTO).</li>
+    <li><b>takeoff</b>: If you turn on the strobe lights
+    during taxi or after a rejected takeoff (RTO). If your plane has
+    not strobe lights, the program will track your status after
+    exceeding 50 knots during the <i>taxi</i> stage, and if you lift
+    off within less than 30 seconds, it will be considered a takeoff.</li>
     <li><b>climb</b>: When you retract the gears or you reach 3000
     feet altitude AGL with a positive climb rate after takeoff.</li>
@@ -70,5 +72,4 @@
     <li><b>taxi after landing</b>: When the aircraft is in the
     ground and its ground speed is below 50 knots after landing.</li>
-    <li><b>parking</b>: If the parking brake is activated after taxi.</li>
     <li><b>end</b>: If the N<sub>1</sub> of the turbines becomes
     less than 0.5, or the RPM of the piston engines becomes 0 during
@@ -77,5 +78,5 @@
 
   <p>
-  To enhance the simulation, the program can play various 
+  To enhance the simulation, the program can play various
   <a href="#prefsSounds">sound</a> files
   during the various stages of your flight, such as the announcements
@@ -84,7 +85,7 @@
   a certain hotkey in the flight simulator. You can also organize
   pre-recorded sound files
-  into <a href="#checklistEditor">checklists</a> for the each aircraft 
+  into <a href="#checklistEditor">checklists</a> for the each aircraft
   type, and these files can also be played back one-by-one when you
-  repeatedly press a key combination in the simulator. See 
+  repeatedly press a key combination in the simulator. See
   <a href="#prefsSounds">below</a> for more information on this.
   </p>
@@ -94,5 +95,5 @@
   displays the status of the flights in progress. The data appears on
   the front page of the <a href="http://virtualairlines.hu">MAVA
-  website</a> and also on a 
+  website</a> and also on a
   <a href="http://virtualairlines.hu/acars2/show.html">map</a>.
   </p>
@@ -108,7 +109,7 @@
   at the indicated gate or stand in the simulator. If your flight
   begins at Ferihegy and the aircraft is away (usually due to someone
-  else's flight), you can <a href="#gateSelectionPage">select</a> 
+  else's flight), you can <a href="#gateSelectionPage">select</a>
   from which gate or stand you start your flight. The database of the
-  Online Gate System can also be <a href="#gatesTab">displayed</a> 
+  Online Gate System can also be <a href="#gatesTab">displayed</a>
   by using the application.
   </p>
@@ -165,8 +166,8 @@
   the icon, the flight stage and the current rating will be
   displayed. The tray icon has a right-button menu as well with the
-  following items: 
+  following items:
   <ul>
     <li><b>Show main window</b>: displays or hides the main window.</li>
-    <li><b>Show monitor window</b>: displays or hides the 
+    <li><b>Show monitor window</b>: displays or hides the
       <a href="#monitorWindow">monitor window</a>.</li>
     <li><b>Quit</b>: quit the application. A confirmation window will
@@ -185,5 +186,5 @@
   starting a new instance of the program.
   </p>
-  
+
   <h2><a name="mainWindow">The Main Window</a></h2>
 
@@ -194,5 +195,5 @@
   which is described below.
   </p>
-  
+
   <a name="mainWindowShot"/>
   <div align="center"><img src="mainWindow.png" alt="The main window"/></div>
@@ -205,5 +206,5 @@
   colour indicates the health of this communication channel.
   </p>
- 
+
   <p>
   If it is grey, the program is not connected. This is normal before
@@ -226,5 +227,5 @@
   notify the author if this happens. In this case, try to copy and
   save the <a href="#debugLog">debug log</a> and send it with your bug
-  report.  
+  report.
   </p>
 
@@ -271,5 +272,5 @@
   the bottom.
   </p>
-  
+
   <p>
   Most of the pages contain two buttons: <b>Next</b> and
@@ -285,5 +286,5 @@
   Many of the pages also contain a <b>Cancel flight</b>
   button. Clicking this button will allow you to cancel the flight and
-  go back to the <a href="#flightSelectionPage">flight selection</a> 
+  go back to the <a href="#flightSelectionPage">flight selection</a>
   if you have logged in to the MAVA server, or to the login page, after
   a confirmation of your intent.
@@ -293,5 +294,5 @@
 
   <p>
-  The program starts with the Login page (see the 
+  The program starts with the Login page (see the
   <a href="#mainWindowShot">picture</a> above) where you can enter the
   your pilot's ID and password for the MAVA website. Both data are
@@ -304,6 +305,6 @@
   the program, so you don't have to enter it all the time. Note,
   however, that the password is saved in a readable form into a
-  configuration file, so you this possibility only if your home
-  directory can be  accessed only by people you trust. The pilot's ID
+  configuration file, so use this possibility only if your home
+  directory can be accessed only by people you trust. The pilot's ID
   is saved anyway.
   </p>
@@ -325,9 +326,9 @@
   next page, without trying to log in to the MAVA server.
   </p>
-  
+
   <h4><a name="flightSelectionPage">The <i>Flight selection</i> Page</a></h4>
 
   <img src="flightSelection.png" alt="The Flight selection page"/>
-  
+
   <p>
   This page displays the list of the flight you have booked previously
@@ -366,7 +367,7 @@
 
   <h4><a name="gateSelectionPage">The <i>LHBP gate selection</i> Page</a></h4>
-  
+
   <img src="gateSelection.png" alt="The LHBP gate selection page"/>
-  
+
   <p>
   This page is displayed after the flight selection page only if your
@@ -383,5 +384,5 @@
 
   <img src="connect.png" alt="The Connect to the simulator page"/>
-  
+
   <p>
   This page displays some important information about your flight,
@@ -398,5 +399,5 @@
   or <b>Cancel</b> to go back to the flight selection or to the login page.
   </p>
-  
+
   <p>
   Note, that after a successful connection, the monitoring of your
@@ -407,10 +408,11 @@
   <h4><a name="payloadPage">The <i>Payload</i> Page</a></h4>
 
-  <img src="payload.png" alt="The Payload page"/>
-  
+  <img src="payload.png" alt="The Payload page"/><!-- TODO: update -->
+
   <p>
   This page displays the components of the flight's payload and the
-  calculated Zero-Fuel Weight (ZFW). You can enter here the cargo
-  weight you determined for your flight. You can also press the <b>ZFW
+  calculated Zero-Fuel Weight (ZFW). You can modify all input data,
+  but generally it is needed to enter the cargo weight you determined
+  for the flight, if it is different from 0. You can also press the <b>ZFW
   from FS</b> button, which queries the ZFW from the simulator and
   displays the retrieved value. If the ZFW calculated from the payload
@@ -425,5 +427,5 @@
   becomes available, which you can use if you have failed to set up
   the correct payload in the simulator. See a more detailed
-  description of it <a href="#helpTab">below</a>. 
+  description of it <a href="#helpTab">below</a>.
   </p>
 
@@ -431,5 +433,5 @@
 
   <img src="time.png" alt="The Time page"/>
-  
+
   <p>
   This page displays the departure and arrival times of your
@@ -451,10 +453,10 @@
 
   <img src="fuel.png" alt="The Fuel page"/>
-  
+
   <p>
   This page contains a graphical representation of the fuel tanks of
   your aircraft. The yellowish colour represents the current level of
   the fuel in the tank, and turquoise slider is the expected level,
-  which is also displayed numerically (in kilograms) below each graph. 
+  which is also displayed numerically (in kilograms) below each graph.
   </p>
 
@@ -478,11 +480,11 @@
   growing or shrinking (fuel may be pumped out of a tank as
   well). This is a relatively quick process and should finish within a
-  few seconds. 
+  few seconds.
   </p>
 
   <h4><a name="routePage">The <i>Route</i> Page</a></h4>
-  
+
   <img src="route.png" alt="The Route page"/>
-  
+
   <p>
   This page displays the cruise level and the flight plan route. The
@@ -501,7 +503,7 @@
 
   <h4><a name="briefingPage">The <i>Briefing</i> Pages</a></h4>
-  
+
   <img src="briefing.png" alt="The Briefing page"/>
-  
+
   <p>
   These pages display the NOTAMs and the METAR for the departure and
@@ -521,9 +523,9 @@
   the boarding stage.
   </p>
-  
+
   <h4><a name="takeoffPage">The <i>Takeoff</i> Page</a></h4>
 
-  <img src="takeoff.png" alt="The Takeoff page"/>
-  
+  <img src="takeoff.png" alt="The Takeoff page"/><!-- TODO: update -->
+
   <p>
   On this page you have to enter the name of the departure runway, the
@@ -540,16 +542,47 @@
 
   <p>
+  For most aircraft in the fleet you should also enter the takeoff
+  derate setting. Its exact format and value depends on the type.
+  </p>
+
+  <p>
+  You can also select here whether you have turned on any anti-ice
+  systems (apart from the pitot heat). However, for most aircraft, the
+  logger can detect the setting, and if anti-icing is turned on, the
+  check box will be checked automatically. If you have checked it
+  yourself, it will not be unchecked by the program (unless it gains
+  self-awareness sometime in the future).
+  </p>
+
+  <p>
   You can proceed to the next page after takeoff, and if all data has
   been entered, by pressing the <b>Next</b> button.
   </p>
 
+  <h4><a name="cruisePage">The <i>Cruise</i> Page</a></h4>
+
+  <img src="cruise.png" alt="The Cruise page"/><!-- TODO: create -->
+
+  <p>
+  This page displays your cruise altitude as set on the
+  <a href="#routePage">Route page</a>. If you need to modify your
+  cruise level due to airspace requirements, step climb or any other
+  justified reason, you can set the new level here and then press
+  the <b>Update</b> button when you have reached the specified level.
+  </p>
+
+  <p>
+  If you are preparing for landing, you can pressing the <b>Next</b>
+  button to go to the next page.
+  </p>
+
   <h4><a name="landingPage">The <i>Landing</i> Page</a></h4>
 
-  <img src="landing.png" alt="The Landing page"/> 
+  <img src="landing.png" alt="The Landing page"/><!-- TODO: update -->
 
   <p>
   On this page you have to enter the name of the STAR and/or
   transition you planned to follow (even if you get a different one,
-  or simply vectors from ATC, in which case add a 
+  or simply vectors from ATC, in which case add a
   <a href="#flightInfoTab">comment</a> about it),
   the approach type (e.g. <q>ILS</q>, <q>VOR</q>, <q>VISUAL</q>,
@@ -561,4 +594,9 @@
 
   <p>
+  This page also contains a checkbox for the anti-ice system, which is
+  handled the same way as the one on
+  the <a href="#takeoffPage">Takeoff page</a>.
+
+  <p>
   When you have entered all data, press the <b>Next</b> button. It is
   active only, if the flight has ended.
@@ -567,5 +605,5 @@
   <h4><a name="finishPage">The <i>Finish</i> Page</a></h4>
 
-  <img src="finish.png" alt="The Finish page"/> 
+  <img src="finish.png" alt="The Finish page"/>
 
   <p>
@@ -582,4 +620,10 @@
   the Online Gate System, you also need to specify the number of the
   gate or stand you have parked you aircraft at.
+  </p>
+
+  <p>
+  If all necessary data has been entered, and the program is so
+  <a href="#prefsGeneral">configured<a>, it will automatically save
+  the PIREP.
   </p>
 
@@ -601,16 +645,16 @@
   you have logged in to the MAVA server, or to
   the <a href="#loginPage">login page</a>, if your flight has been an
-  offline flight.  
-  </p>
-  
+  offline flight.
+  </p>
+
   <h3><a name="flightInfoTab">The Flight info Tab</a></h3>
 
-  <img src="flightInfoTab.png" alt="The Flight info tab"/> 
-
-  <p>
-  This tab allows one to enter some additional information about the 
+  <img src="flightInfoTab.png" alt="The Flight info tab"/>
+
+  <p>
+  This tab allows one to enter some additional information about the
   flight, if necessary.
   </p>
-  
+
   <p>
   The <i>Comments</i> text area should contain any general information
@@ -634,5 +678,5 @@
   <h3><a name="helpTab">The Help Tab</a></h3>
 
-  <img src="helpTab.png" alt="The Help tab"/> 
+  <img src="helpTab.png" alt="The Help tab"/>
 
   <p>
@@ -653,5 +697,5 @@
   the <b>Simulator data</b> button, the data coming from the simulator
   can be queried and displayed. If the data is out of the tolerances,
-  it is displayed in red, otherwise in green. 
+  it is displayed in red, otherwise in green.
   </p>
 
@@ -661,8 +705,8 @@
   those maximums during the flight.
   </p>
-  
+
   <h3><a name="logTab">The Log Tab</a></h3>
 
-  <img src="logTab.png" alt="The Log tab"/> 
+  <img src="logTab.png" alt="The Log tab"/>
 
   <p>
@@ -687,5 +731,5 @@
   <h3><a name="gatesTab">The Gates Tab</a></h3>
 
-  <img src="gatesTab.png" alt="The Gates tab"/> 
+  <img src="gatesTab.png" alt="The Gates tab"/>
 
   <p>
@@ -721,5 +765,5 @@
   <h3><a name="debugLog">The Debug log</a></h3>
 
-  <img src="debugLogTab.png" alt="The Debug log tab"/> 
+  <img src="debugLogTab.png" alt="The Debug log tab"/>
 
   <p>
@@ -753,5 +797,5 @@
 
   <div align="center">
-    <img src="pirepLoaded.png" alt="The loaded PIREP window"/> 
+    <img src="pirepLoaded.png" alt="The loaded PIREP window"/>
   </div>
 
@@ -763,14 +807,14 @@
   itemized data of the flight. The <i>Comments & defects</i> tab
   displays the comments and or flight defects entered by the
-  user. The <i>Log</i> tab contains the flight log. 
+  user. The <i>Log</i> tab contains the flight log.
   </p>
 
   <div align="center">
-    <img src="pirepViewer.png" alt="The PIREP Viewer"/> 
+    <img src="pirepViewer.png" alt="The PIREP Viewer"/>
   </div>
 
   <h2><a name="checklistEditor">Editing checklists</a></h2>
 
-  <img src="checklistEditor.png" alt="The Checklist Editor"/> 
+  <img src="checklistEditor.png" alt="The Checklist Editor"/>
 
   <p>
@@ -796,5 +840,5 @@
   from the list. Then you can remove them with the <b>Remove</b>
   button, or move them up or down by pressing <b>Move up</b>
-  and <b>Move down</b>. 
+  and <b>Move down</b>.
   </p>
 
@@ -812,8 +856,8 @@
   the old checklist, or no checklist if there was none).
   </p>
-  
+
   <h2><a name="calloutsEditor">Editing approach callouts</a></h2>
 
-  <img src="calloutsEditor.png" alt="The Approach callouts Editor"/> 
+  <img src="calloutsEditor.png" alt="The Approach callouts Editor"/>
 
   <p>
@@ -822,5 +866,5 @@
   approach callouts editor window allows editing the list of these
   callout files for each aircraft. The window can be displayed by
-  selecting  <b>Tools/Approach Callouts Editor...</b> or by  pressing 
+  selecting  <b>Tools/Approach Callouts Editor...</b> or by  pressing
   <b>Ctrl+E</b>.
   </p>
@@ -842,5 +886,5 @@
   contains a number that is possible as an altitude, that will be used
   as the altitude given to the file, otherwise some meaningful default
-  is selected based on the lowest or highest altitude. 
+  is selected based on the lowest or highest altitude.
   There can be no two files with the same altitude. If you set an
   altitude, which is already present in the list, a dialog box will be
@@ -861,5 +905,5 @@
   list of callouts have any effect during the flight.
   </p>
-  
+
   <h2><a name="prefs">The Preferences Window</a></h2>
 
@@ -871,8 +915,8 @@
   tabs grouping the options logically.
   </p>
-  
+
   <h3><a name="prefsGeneral">The <i>General</i> Tab<a></h3>
-  
-  <img src="prefsGeneral.png" alt="The General Tab of Preferences"/> 
+
+  <img src="prefsGeneral.png" alt="The General Tab of Preferences"/>
 
   <p>
@@ -921,7 +965,13 @@
   </p>
 
+  <p>
+  If the <b>Save PIREP automatically</b> check box is checked, and you
+  have finished your flight and entered all required data, the PIREP
+  will be saved automatically into the directory given above.
+  </p>
+
   <h3><a name="prefsMessages">The <i>Messages</i> Tab</a></h3>
- 
-  <img src="prefsMessages.png" alt="The Messages Tab of Preferences"/> 
+
+  <img src="prefsMessages.png" alt="The Messages Tab of Preferences"/><!-- TODO: update -->
 
   <p>
@@ -941,11 +991,12 @@
     <li><b>Information Messages</b>: informational messages about,
     e.g., the flight stage, the end of an audio checklist, etc.</li>
+    <li><b>In-flight Stage Message</b>: messages about the flight stage for those stage when the plane is not on the ground</li>
     <li><b>Fault Messages</b>: messages about the non-NO GO faults the program detects.</li>
     <li><b>NO GO Fault Messages</b>: messages about the NO GO faults the program detects</li>
-    <li><b>Gate System Messages</b>: messages related to the 
+    <li><b>Gate System Messages</b>: messages related to the
     <a href="#onlineGateSystem">Online Gate System</a>. For example,
     when you have landed at Ferihegy, it can display the list of the
     available gates so that you can choose where to park, if there is
-    no ATC available.</li> 
+    no ATC available.</li>
     <li><b>Environment Messages</b>: other messages, e.g. the welcome
     message when the flight has ended.</li>
@@ -970,6 +1021,6 @@
 
   <h3><a name="prefsSounds">The <i>Sounds</i> Tab</a></h3>
-  
-  <img src="prefsSounds.png" alt="The Sounds Tab of Preferences"/> 
+
+  <img src="prefsSounds.png" alt="The Sounds Tab of Preferences"/>
 
   <p>
@@ -998,5 +1049,5 @@
   If the <b>Enable approach callouts</b> checkbox is
   checked, and you have also <a href="#calloutsEditor">set up</a>
-  approach callouts for the aircraft being used, you will hear those 
+  approach callouts for the aircraft being used, you will hear those
   callouts during approach.
   </p>
@@ -1014,10 +1065,10 @@
   checkbox is selected. In this case another hotkey should be
   specified. If you press this hotkey, the next file from the
-  checklist will be played. 
+  checklist will be played.
   </p>
 
   <h3><a name="prefsAdvanced">The <i>Advanced</i> Tab</a></h3>
 
-  <img src="prefsAdvanced.png" alt="The Advanced Tab of Preferences"/> 
+  <img src="prefsAdvanced.png" alt="The Advanced Tab of Preferences"/>
 
   <p>
@@ -1035,5 +1086,5 @@
   <h2><a name="monitorWindow">The Monitor Window</a></h2>
 
-  <img src="monitorWindow.png" alt="The Monitor Window"/> 
+  <img src="monitorWindow.png" alt="The Monitor Window"/><!-- TODO: update -->
 
   <p>
@@ -1048,4 +1099,4 @@
   program.
   </p>
-  
+
 </html>
Index: doc/overview.dox
===================================================================
--- doc/overview.dox	(revision 444)
+++ doc/overview.dox	(revision 302)
@@ -11,9 +11,9 @@
  * Note, that to be able to understand the code most effectively, it
  * is important to either use the application actively, or to read its
- * user documentation carefully.
+ * user documentation carefully. 
  *
  * \section overview Overview
  *
- * The application was written in
+ * The application was written in 
  * <a href="http://python.org">Python 2</a>. The Python wrapper
  * <a href="http://gtk.org">Gtk+</a> toolkit was used for the graphical
@@ -23,5 +23,5 @@
  * as the primary toolkit, while it has no reliable port for Windows
  * yet. Therefore it was decided to support both Gtk+ 2 and 3
- * depending on the platform. For Gtk+ 2 the
+ * depending on the platform. For Gtk+ 2 the 
  * <a href="http://pygtk.org">PyGTK</a> wrapper is used, while for Gtk+
  * 3 the <a href="https://live.gnome.org/PyGObject">PyGObject</a>
@@ -33,5 +33,5 @@
  * <a href="http://www.schiratti.com/dowson.html">FSUIPC</a>
  * interface. The author has created a Python mapping for it, which
- * has been submitted for inclusion into the SDK, so it will hopefully
+ * has been submitted for inclusion into the SDK, so it will hopefully  
  * appear in its next version. It is planned to support X-Plane in the
  * near future (hopefully by the end of 2012) on both Linux and
@@ -45,5 +45,5 @@
  * Gtk+ and Gtk+ itself. Since Python is an interpreted language,
  * there is no need for any special build system.
- *
+ * 
  * Python and Gtk+ are readily available on most Linux distributions,
  * but some links are probably useful for Windows users:
@@ -54,5 +54,5 @@
  * \li To create install packages, you also need py2exe: <a href="http://www.py2exe.org/">http://www.py2exe.org</a>,
  * \li as well as the Nullsoft Install System: http://nsis.sourceforge.net/Main_Page
- *
+ * 
  * The install package can be created by running the \c makeinst.bat
  * file. It contains some absolute paths, so check those befure
@@ -81,5 +81,5 @@
  *    thread. Instead, use \c gobject.idle_add to "inject" the
  *    operation into the main thread.
- * -# To ensure the responsiveness of the GUI, only operations
+ * -# To ensure the responsiveness of the GUI, only operations 
  *    that take a short time should be executed in the GUI thread.
  *
@@ -98,10 +98,10 @@
  * simulator is to be supported, a class with the same (or at least
  * sufficiently similar) public interface should be implemented.
- *
+ *              
  * The most important function of the program is the
  * continuous monitoring of the aircraft's parameters and some other
  * data. The monitoring is started using the \ref
  * mlx.fsuipc.Simulator.startMonitoring "startMonitoring" function of
- * the simulator object. If started, it calls the \ref
+ * the simulator object. If started, it calls the \ref 
  * mlx.acft.Aircraft.handleState "handleState" function of the
  * mlx.acft.Aircraft instance used. The mlx.acft module contains one
@@ -114,17 +114,17 @@
  * smoothed values of IAS and VS, and then calls each "checker". A
  * checker is an instance of a subclass of mlx.checks.StateChecker,
- * which checks a one or a few parameters that are important from some
+ * which checks a one or a few parameters that are important from some 
  * aspect of the correct execution of a flight. For example, a checker
- * may check if the \ref mlx.checks.StrobeLightsChecker
+ * may check if the \ref mlx.checks.StrobeLightsChecker 
  * "strobe lights" are switched on and off at the right stages of the
  * flight. But some checkers simply log some \ref
  * mlx.checks.AltimeterLogger "value" whenever it changes
  * in an "interesting" way, or \ref mlx.checks.ACARSSender "send the
- * ACARS" periodically.
+ * ACARS" periodically. 
  *
  * There is also a \ref mlx.checks.StageCheker "checker" which
  * detects the changes in the stage of the flight, and calls the
  * \ref mlx.acft.Aircraft.setStage "setStage" function of the
- * aircraft, if there is a change. It first calls the
+ * aircraft, if there is a change. It first calls the  
  * \ref mlx.flight.Flight "flight"'s \ref mlx.flight.Flight.setStage
  * "setStage" function, which notifies the GUI and the \ref
@@ -139,10 +139,10 @@
  * mlx.soundsched.SoundScheduler "sound scheduler" to check if some
  * backround sound should be played. If the check list hotkey is
- * pressed, the \ref mlx.soundsched.ChecklistScheduler
+ * pressed, the \ref mlx.soundsched.ChecklistScheduler 
  * "checklist scheduler" is notified too.
  *
  * As mentioned, there is a \ref mlx.logger.Logger "logger" in the
  * application, which contains the textual log lines as well as the
- * faults and their scores.
+ * faults and their scores. 
  *
  * The business logic part contains many other components, but they
@@ -151,5 +151,5 @@
  * modules for more information.
  *
- * \subsection arch_gui GUI
+ * \subsection arch_gui GUI     
  *
  * As mentioned, the GUI is implemented using Gtk+. This toolkit
@@ -158,5 +158,5 @@
  * experience with Glade in an earlier project, it was decided to not
  * use it. Instead, the GUI elements are created and handled by
- * hand-written code.
+ * hand-written code. 
  *
  * The central class of the graphical user interface is
@@ -165,85 +165,9 @@
  * connection to the simulator and creates the \ref mlx.flight.Flight
  * "flight" and \ref mlx.flight.Aircraft "aircraft" objects as
- * needed.
+ * needed. 
  *
  * To understand the operation of the GUI, one should be familiar with
  * Gtk+, but otherwise it is pretty straighforward. See the
- * documentation of the relevant modules for more information.
- *
- * \section newtype Adding a new aircraft type
- *
- * While new aircraft types will probably not be added too often, here
- * is a checklist about what should be modified when such a
- * requirement arises.
- *
- * First, it is worth to know what data you need to add the new type:
- *
- * \li the aircraft's type name and its ICAO code
- * \li the following weights: DOW, MZFW, MTOW, MLW
- * \li the flap settings and their speed limits
- * \li the speed limit for extending/retracting the gear (VLE)
- * \li the number and types of the fuel tanks
- * \li the type code the MAVA website uses to identify the type
- * \li if the plane has reversers, what is the operating limit speed,
- *     if any
- * \li does the plane support the notion of a takeoff derate, and if
- *     so, what data should be given
- * \li what lights does the plane have
- *
- * If you have the data, you can add the type by modifying the source
- * files as per the checklist below:
- *
- * -# \c src/mlx/const.py: look for the constants named AIRCRAFT_xxx.
- *    Add the new type at the end of the list of those constants, with
- *    a number 1 greater than the number of the last existing
- *    type. The part of the constant's name after the underscore (xxx
- *    above) should be the ICAO code of the aircraft type.
- * -# \c src/mlx/const.py: below this list of constants, you can find
- *    an array named \c aircraftTypes. Add the type constant to it.
- * -# \c src/mlx/const.py: further below you can find a dictionary
- *    mapping te aircraft type to the corresponding ICAO codes. Add
- *    the new type to it.
- * -# \c src/mlx/acft.py: add a new subclass of \ref
- *    mlx.acft.Aircraft. Its name should be the ICAO code. Check an
- *    existing aircraft and add the same variables containing the
- *    weights, the flap speed limits and the gear speed limit. There
- *    may be some other member variables or functions that should be
- * -# \c src/mlx/acft.py: there is a dictionary named \c _classes
- *    towards the end of the file. Add the type to it.
- * -# \c src/mlx/web.py: the \ref mlx.web.BookedFlight class contains
- *    two dictionaries, the mapping between the types and the values the MAVA
- *    website uses to identify the type. Add the appropriate values
- *    here.
- * -# \c src/mlx/fsuipc.py: add a subclass of \ref
- *    mlx.fsuipc.GenericAircraftModel for the new type named the ICAO
- *    code of the type followed by the word \c Model. Implement its
- *    constructor to supply the base class with the flaps notches
- *    (starting with 0), the array of constants describing the fuel
- *    tanks the model has, and the number of engines. Also implement
- *    the name of the model, which should be something like
- *    "FSUIPC/Generic ...". If necessary implement other functions or
- *    set other members.
- * -# \c src/mlx/fsuipc.py: add the new type and model class to the
- *    dictionary named \c _genericModels towards the end of the file.
- * -# \c src/mlx/fsuipc.py: if you have a model that has some
- *    non-generic characteristics, create a specific class for
- *    it. This class should be a subclass of the generic class
- *    created, and it should be registered at the bottom of the file,
- *    as the other models are.
- * -# \c src/mlx/gui/common.py: this file contains a dictionary called
- *    \c mlx.gui.common.aircraftNames. Add the new type it it. It
- *    contains the mapping from the type constants to their
- *    language-specific names. The string ID is "aircraft_" followed by
- *    the lower-cased ICAO code.
- * -# \c locale/hu/mlx.po, locale/en/mlx.po: the beginning of this
- *    file contains mapping from the string ID previously used to the
- *    actual name of the aircraft. Add the new type as appropriate.
- * -# \c dcdatagen.py: this program generates some source and message
- *    files related to the delay codes. Currently there are two
- *    tables, one for old-timer types and the other for the "modern" types.
- *    The file contains a list of lists called \c typeGroups. Add the
- *    type's ICAO code the appropriate list.
- *
- * When all the changes have been made, run \c make in the root
- * directory to update some source files.
+ * documentation of the relevant modules for more information. 
  */
+ 