Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 225)
+++ src/mlx/gui/common.py	(revision 226)
@@ -57,4 +57,6 @@
 
     POLICY_AUTOMATIC = gtk.POLICY_AUTOMATIC
+
+    WEIGHT_BOLD = pango.WEIGHT_BOLD
 
     def text2unicode(text):
@@ -105,4 +107,6 @@
     POLICY_AUTOMATIC = gtk.PolicyType.AUTOMATIC
 
+    WEIGHT_BOLD = pango.Weight.BOLD
+
     import codecs
     _utf8Decoder = codecs.getdecoder("utf-8")
@@ -228,12 +232,31 @@
 #------------------------------------------------------------------------------
 
-def formatFlightLogLine(timeStr, line, isFault = False):
+def formatFlightLogLine(timeStr, line):
     """Format the given flight log line."""
     """Format the given line for flight logging."""
     if timeStr is not None:
         line = timeStr + ": " + line
-    #if isFault:
-    #    line = "<b>" + line + "</b>"
     return line + "\n"
 
 #------------------------------------------------------------------------------
+
+def addFaultTag(buffer):
+    """Add a tag named 'fault' to the given buffer."""
+    faultTag = gtk.TextTag(name = "fault")
+    faultTag.set_property("foreground", "red")
+    faultTag.set_property("weight", WEIGHT_BOLD)
+    buffer.get_tag_table().add(faultTag)    
+
+#------------------------------------------------------------------------------
+
+def appendTextBuffer(buffer, text, isFault = False):
+    """Append the given line at the end of the given text buffer.
+
+    If isFault is set, use the tag named 'fault'."""
+    if isFault:
+        buffer.insert_with_tags_by_name(buffer.get_end_iter(), text,
+                                        "fault")
+    else:
+        buffer.insert(buffer.get_end_iter(), text)
+
+#------------------------------------------------------------------------------
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 225)
+++ src/mlx/gui/gui.py	(revision 226)
@@ -112,4 +112,5 @@
         
         (logWidget, self._logView)  = self._buildLogWidget()
+        addFaultTag(self._logView.get_buffer())        
         label = gtk.Label(xstr("tab_log"))
         label.set_use_underline(True)
@@ -466,12 +467,11 @@
         """Write the given message line to the log."""
         gobject.idle_add(self._writeLog,
-                         formatFlightLogLine(timeStr, line, isFault = isFault),
-                         self._logView)
-
-    def updateFlightLogLine(self, index, timeStr, line, isFault = False):
+                         formatFlightLogLine(timeStr, line),
+                         self._logView, isFault)
+
+    def updateFlightLogLine(self, index, timeStr, line):
         """Update the line with the given index."""
         gobject.idle_add(self._updateFlightLogLine, index,
-                         formatFlightLogLine(timeStr, line,
-                                             isFault = isFault))
+                         formatFlightLogLine(timeStr, line))
 
     def _updateFlightLogLine(self, index, line):
@@ -914,8 +914,8 @@
         return (alignment, logView)
 
-    def _writeLog(self, msg, logView):
+    def _writeLog(self, msg, logView, isFault = False):
         """Write the given message to the log."""
         buffer = logView.get_buffer()
-        buffer.insert(buffer.get_end_iter(), msg)
+        appendTextBuffer(buffer, msg, isFault = isFault)
         logView.scroll_mark_onscreen(buffer.get_insert())
 
Index: src/mlx/gui/pirep.py
===================================================================
--- src/mlx/gui/pirep.py	(revision 225)
+++ src/mlx/gui/pirep.py	(revision 226)
@@ -239,7 +239,7 @@
         for (timeStr, line) in pirep.logLines:
             isFault = lineIndex in pirep.faultLineIndexes
-            logBuffer.insert(logBuffer.get_end_iter(), 
-                             formatFlightLogLine(timeStr, line, 
-                                                 isFault = isFault))
+            appendTextBuffer(logBuffer,
+                             formatFlightLogLine(timeStr, line),
+                             isFault = isFault)
             lineIndex += 1
 
@@ -573,4 +573,5 @@
 
         (logWindow, self._log) = PIREPViewer.getTextWindow(heightRequest = -1)
+        addFaultTag(self._log.get_buffer())
         mainBox.pack_start(logWindow, True, True, 0)
         