Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 549)
+++ MLXMANIFEST	(revision 560)
@@ -7,5 +7,5 @@
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
 library/libexpat-1.dll	143096	701659d3689bf4a8265b669b7d774255
-library/gtk/_gtk.pyc	549	797d2411a04bab12eaf84e5e1aca2269
+library/gtk/_gtk.pyc	549	faf6cb0319f98c785cc34adacfcebdc6
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/mlx/pirep.pyc	4623	6c485ea65ff6245ab56960a8bbec7051
@@ -13,5 +13,5 @@
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
-library/mlx/gui/gui.pyc	51077	25b29ca0457d7ee128d9b28b32b511d5
+library/mlx/gui/gui.pyc	51880	a4a9abe3347337e5c4bdb6e2e8ccefe6
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 library/posixpath.pyc	10734	d694316c239784c444b252c801c97efa
@@ -22,6 +22,6 @@
 doc/manual/hu/bugreport.png	12385	c71c7db56f19870ae5d6bb7f533d3679
 library/share/locale/hu/LC_MESSAGES/gtk20.mo	58794	6ee4491ae7bc9d3dfb778578eb29a0b3
-library/gobject/_gobject.pyc	573	992b6bbcbbd0157474e9dfc5e10f0bf6
-locale/en/LC_MESSAGES/mlx.mo	62157	7ed2cc07d2e09d956d0af5ecc22b3dae
+library/gobject/_gobject.pyc	573	4e846f34136e09de40c4fa7d72057c6b
+locale/en/LC_MESSAGES/mlx.mo	63358	bea5254b596a13079b671ccba6cf7045
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
 doc/manual/hu/pirepViewer.png	26835	267e4325e550ed14ed22f86a2c7e8e9d
@@ -41,5 +41,5 @@
 library/pangocairo.pyd	17920	5fc69a7d29a6d3127710c64de440daa4
 doc/manual/en/fuel.png	27700	777f9f3431c2f53db4b98f3449e4baf7
-library/mlx/gui/info.pyc	4951	8b52b49ea0a36d5df6f40c4e1247c1b3
+library/mlx/gui/info.pyc	5338	b5f498b7b7920bff7569b15577999dbd
 library/io.pyc	3378	197da422e1d85c483c94fa0251b5ff76
 library/xml/sax/xmlreader.pyc	17862	0362ded7016d21cdd85aea1170ebdda1
@@ -63,5 +63,5 @@
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-locale/hu/LC_MESSAGES/mlx.mo	66811	d656aa33b3d6cadc7b93265ae683e8bb
+locale/hu/LC_MESSAGES/mlx.mo	68129	8a9d319270bca8eab63bd27222bdf361
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/copy_reg.pyc	4893	7a58bc441232056d1c123cd3375b3774
@@ -76,10 +76,10 @@
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	0c2478413dcb88335954f34e6dd23709
+library/_hashlib.pyc	549	d468a84a12938c367eb5fbd988c5b291
 library/libpng14-14.dll	230529	f3a15497e25baaa721f96638d7a4d2f8
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 library/share/locale/hu/LC_MESSAGES/gdk-pixbuf.mo	21895	a932ead453f04de30e348c1689a4d896
 library/mlx/gui/dcdata.pyc	16051	7a7f655725cae055fc5047374e05f73a
-library/mlx/gui/__init__.pyc	107	22f268cac1c5be2f3a058810b6caead3
+library/mlx/gui/__init__.pyc	107	3494fc6a671a7b8a9dc72ea93948ae52
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
 library/encodings/iso2022_kr.pyc	1683	ef9549932514d2deda6c4676e5e5f1db
@@ -117,5 +117,5 @@
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
 library/encodings/utf_16_be.pyc	1854	84a1d1465453727af051eaeeb853782f
-library/mlx/fsuipc.pyc	72874	da0ad4286ff6775584f4821945e09fe4
+library/mlx/fsuipc.pyc	73308	508785fddbcc14d39e5fbebae219b317
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	27436	5406dfe5408569cb95499c057bf0185b
@@ -129,5 +129,5 @@
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
 library/win32file.pyd	111616	25ecaa0a381c6fd9ba4080bea63b952e
-library/mlx/gui/common.pyc	10275	8d289fedd009fd9e20ddfff7924023de
+library/mlx/gui/common.pyc	10360	6b44b406633f811178f046a285c6975e
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	51903	4bfbb26709c699f21fe593cb4efd2d98
@@ -135,6 +135,6 @@
 sounds/767taxi.mp3	160496	4cb43cda6e1214fbe15328a716827345
 doc/manual/en/prefsAdvanced.png	16169	64c14e0842c413cac98b92926279f3e0
-library/cairo/_cairo.pyc	561	1319d764780845c800f75fb6c49aae8e
-library/win32file.pyc	552	b88e234e97fc6d9a6a1eaf4c1add3ae0
+library/cairo/_cairo.pyc	561	248ca30ea7256a6220fa08ca9ea7da88
+library/win32file.pyc	552	0dd2f0351ce781b105c5126c04d579ca
 library/encodings/cp865.pyc	7868	7d40a7ba053ac23339218be8799e5397
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -145,5 +145,5 @@
 library/share/locale/hu/LC_MESSAGES/gtk20-properties.mo	167125	cd1b1b3693c1e3c74bfcea20be640cc6
 conn_red.png	914	860388cb7c3b26b2f348fdbee40780ce
-library/bz2.pyc	534	41a5cc012f2f7a1179246499aeaeee84
+library/bz2.pyc	534	173053bfda4ab1735432d8fa56d85014
 library/xml/sax/expatreader.pyc	13563	4f64c0efb2f1f8dbba84cdb5c6036f2d
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
@@ -161,6 +161,6 @@
 library/mlx/gui/statusbar.pyc	4812	799c3b2d6e3f85ecd79f68d5814d7c40
 library/warnings.pyc	12666	9788b5f45765e8204e04c820f2711094
-mlxupdate.exe	19456	a6eca98978f008c9e94799df5ca75fee
-library/mlx/const.pyc	6707	80ce6f94af846727ee0ea66d0e289d9b
+mlxupdate.exe	19456	5d6ee423e463a34ce42e5a84d0dc841e
+library/mlx/const.pyc	6707	f58b498e16458a526682c960e4be3882
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -175,5 +175,5 @@
 library/shlex.pyc	7282	cbe1a4823894c97c87d01f9d9faf5b8f
 library/cairo/__init__.pyc	142	010dd7cc8485565d5782d60e92e4ba34
-library/_ssl.pyc	537	450517bc8e5a2aed79b052c0d472d50a
+library/_ssl.pyc	537	ff179549cfb8c14ed66fea5e73023045
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/iso2022_jp_1.pyc	1699	faed9d5747e982cec9fa8b3ad8e1de26
@@ -196,6 +196,6 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
-library/unicodedata.pyc	558	0cfc8c824447b6dd97f6d6f8c0a354f8
-library/select.pyc	543	bf6df2fb134403d1e1a9c7b2f68cb992
+library/unicodedata.pyc	558	69d65a92e2dfeb18c4d452c7de2ddbf5
+library/select.pyc	543	74613be681ec8f9d05f9d0734a5fa2fa
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/ConfigParser.pyc	23857	1d17020dd0000ce0f73de812effa152f
@@ -229,5 +229,5 @@
 doc/manual/hu/flightInfoTab.png	28786	3e8af27775131f02696b0912ca441f36
 library/encodings/utf_8_sig.pyc	4625	1b1405db186e5819fa271ff96c1ca2c5
-library/pangocairo.pyc	555	0d6db03d3644f7b7e1feacbe942ee405
+library/pangocairo.pyc	555	70a1b3ce1ce081d61d689cfcedda2d78
 library/encodings/cp1255.pyc	2697	b265913c887f2e1c8736632b652c0093
 library/encodings/zlib_codec.pyc	4308	319c9073aff840436a03cc1fa0b08fb5
@@ -242,5 +242,5 @@
 library/intl.dll	152489	eb2d4c4d4a527bc88a69a16cc99afcf5
 library/encodings/mbcs.pyc	1883	2213911a7dd0deada6799b63e18b695b
-library/pyuipc.pyc	543	10cbc9b7745acb84e961d4e8cfe2728a
+library/pyuipc.pyc	543	e65302819d2197609af15c0148f72066
 sounds/TOC.mp3	273032	fae1be2ad25c8b54806bd1d759919705
 library/encodings/iso8859_4.pyc	2678	16f2fe7994051752360c533c052b892b
@@ -266,11 +266,11 @@
 doc/manual/hu/flightSelection.png	30815	e8bcdda6079c6b16ffa72ca62c21ca85
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	68061ab30da9401b88a80d675208ff9b
+library/win32pipe.pyc	552	d1db4516e76bc98f9e2dde943a7c4075
 doc/manual/hu/cruise.png	27460	a2610173563e45baae1b0f9e63007ebd
 doc/manual/hu/logTab.png	28706	f48004202310bd2a1cb2f873d8064e93
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
-library/win32event.pyc	555	09bd862ee3c0c4c4b6467ebb822dac76
+library/win32event.pyc	555	cd066e94dc6df8b8dfffcf8d4dbdeffa
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	8c63f997ba5f1a8f8d4ba5dc55e30b52
+library/gio/_gio.pyc	549	07dcb0c8570b72f5ab467a236b1fd846
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/helpTab.png	27961	8e7cc4aeb8d7f40fcf186c7caf53583b
@@ -295,5 +295,5 @@
 library/mlx/gui/pirep.pyc	16749	2006126d65a19999a20c4a34f1e94342
 library/mimetypes.pyc	17806	927ce6a7079707aaee925e855ed23454
-library/_ctypes.pyc	546	b3eaee7afdd125bf09029f8948ed3a6f
+library/_ctypes.pyc	546	6b92c889ed697355819bc9643427ed07
 sounds/F70taxi.mp3	154854	51332dc691d3519355f61ed06c959d8d
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
@@ -322,5 +322,5 @@
 doc/manual/en/gatesTab.png	29585	00ebc96a2b4a7473dbb6a3162a04192f
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-library/mlx/gui/flight.pyc	114966	dffb25466f44ffa0ea52934e4504b753
+library/mlx/gui/flight.pyc	119266	a735fc8fbfe2c5b599bb53456dfa1709
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
@@ -333,10 +333,10 @@
 library/gtk/_lazyutils.pyc	2772	93f9aa41ad4223106d99340cd539a566
 library/mlx/gui/statusicon.pyc	5616	03e079307c1f83f36284e1b32887b28e
-library/mlx/mlx.pyc	2936	63293ab964216aa82ca937c9180772e0
+library/mlx/mlx.pyc	2936	6376cc2c1877f196742bedf0ce1eb0eb
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
 library/pyexpat.pyd	152576	5a82e9ec95005aca6130751e5b961cc3
 library/encodings/cp863.pyc	7868	fc7ff06dab536b93c68fcb8e7bac713f
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-library/pyexpat.pyc	546	b22fb2273168efe016c162869a86984a
+library/pyexpat.pyc	546	60003cd605a378cdc93d01a94d65588a
 doc/manual/hu/gateSelection.png	29237	bac37e7001261a40a84e4202247f6052
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
@@ -364,5 +364,5 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 sounds/ding.wav	80856	18e639792d3767436ac6955eb60e4f54
-library/_socket.pyc	546	f0a580b59cdec58ac95adc5502561f4e
+library/_socket.pyc	546	44b7315fff4489f958915b190a66bbdf
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
 library/mlx/checks.pyc	59331	e20c1a815799bc1c93a0c956f417b0ea
@@ -371,8 +371,8 @@
 doc/manual/en/pirepViewer.png	25098	7c545e70b995ac0f9fcae93fe5d0e899
 library/encodings/aliases.pyc	8750	75c22196420d0157fec085d285947a71
-library/glib/_glib.pyc	555	04a10543e98985fce506348c0a07be3f
+library/glib/_glib.pyc	555	4e39942d73c734c33c47f4c64abfcc58
 library/libpangowin32-1.0-0.dll	108945	d07f128828225b7cc38e9e590eb3ba8a
 library/encodings/iso8859_10.pyc	2693	5e6cc8f721486ddbc1c99da285e13191
-library/win32api.pyc	549	b7cb79325c4a4de8293da95a6931987d
+library/win32api.pyc	549	1d92390c57d9c876c9d8358187f3681d
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 library/libgtk-win32-2.0-0.dll	4938115	cc6dca192aca6f91bd96a5b5f86e036d
@@ -395,5 +395,5 @@
 sounds/cpt_takeoff.mp3	8255	254edcf79b8b3752d1a7c191c57f615a
 library/encodings/cp860.pyc	7857	59c6f69108873700081e71b2faaa29f8
-library/mlx/__init__.pyc	103	029f80bd80f880e6ca70ef4ba46f7d06
+library/mlx/__init__.pyc	103	877b8715b7e58440a0e8f212cab6035e
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 library/mlx/i18n.pyc	1972	fe45816e49cf5e380bc39942a9dfa875
@@ -404,5 +404,5 @@
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
 library/sre_compile.pyc	10792	c58f94fbee661f3bb0c59ecc13c0416e
-library/mlx/pyuipc_sim.pyc	56894	419face5d84734c108afdff39be5e26f
+library/mlx/pyuipc_sim.pyc	57183	b201f4d4c95d9c27a847fdd9a57b17a1
 library/encodings/iso8859_9.pyc	2678	88880e046738ebd2012c8034416a9adf
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
@@ -422,5 +422,5 @@
 library/glib._glib.pyd	58368	0de636503e43c4eb00e80927bc9bda97
 library/mlx/config.pyc	30521	75c1c4c91c71e1a7f486a54b4f32b6a0
-library/atk.pyc	534	56c61277a6e61c5f7559863e5b2f6edb
+library/atk.pyc	534	6bc4ff2b050964f1bb2930234f875825
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -432,5 +432,5 @@
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
-runmlx.exe	64000	38c48cf3bd79f60768425285f1df4ceb
+runmlx.exe	64000	ab9db00d8a16040a5199ca56c9750c3c
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
 library/mlx/fs.pyc	11803	199bdac7de7a006e762f12563e08c6e0
@@ -445,8 +445,8 @@
 library/glib/option.pyc	11891	bd90183c75d8f473ecf653e3d63a27f9
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
-library/pango.pyc	540	a27cc105a0c89e4211d74b39ea82592b
+library/pango.pyc	540	c6a483c8ce45eaeac44a22a9897d00d5
 Microsoft.VC90.CRT/msvcp90.dll	568832	6de5c66e434a9c1729575763d891c6c2
 library/sre_parse.pyc	18380	fe2376a101668be1124f9ee316662bab
-library/mlx/gui/delaycodes.pyc	12327	6b96d9d511cd74f5f8598e89a028621c
+library/mlx/gui/delaycodes.pyc	12929	e8c1d6f46ef6e369451be3cbde0a3127
 library/encodings/raw_unicode_escape.pyc	2048	8138045029da04bf45204ab756d1bcd4
 sounds/TOD.mp3	174707	92176d53d948fbfebd08c011b063179a